function gdk
    if count $argv >/dev/null
        git difftool --tool=kitty $argv
    else
        set default (git symbolic-ref refs/remotes/origin/HEAD | awk -F'/' '{print $4}')
        set current (git branch --show-current)
        git difftool --tool=kitty $default...$current
    end
end
